| Home | Libraries | People | FAQ | More

## Type definition allocator_arg_t

allocator_arg_t

## Synopsis

    // In header: <boost/container/uses_allocator_fwd.hpp>

    typedef unspecified allocator_arg_t;

## Description

The allocator_arg_t struct is an empty structure type used as a unique type to disambiguate constructor and function overloading. Specifically, several types have constructors with allocator_arg_t as the first argument, immediately followed by an argument of a type that satisfies Allocator requirements